<?php
defined( 'ABSPATH' ) or die();

function wpza_gui__admin_set_columns($columns) {
	unset( $columns['date'] );
    $columns['invoice_status'] = 'Invoice Status';
    $columns['invoice_total'] = 'Invoice Total';
    $columns['date'] = 'Date';
    return $columns;
}
add_filter( 'manage_wpza_gui__invoice_posts_columns', 'wpza_gui__admin_set_columns' );

function wpza_gui__admin_input_columns( $column, $post_id ) {
	if ( get_option( 'wpza_gui__plugin_settings_currency_decimal_places' ) ) {	
		$decimal_places = get_option( 'wpza_gui__plugin_settings_currency_decimal_places' );
	} else {
		$decimal_places = 0;
	}
	if ( get_option( 'wpza_gui__plugin_settings_currency' ) ) {
		$currency = get_option( 'wpza_gui__plugin_settings_currency' );
	} else {
		$currency = '$';
	}
	if ( get_option( 'wpza_gui__plugin_settings_currency_after' ) == 1 ) {
		$currency_before = '';
		$currency_after = $currency;
	} else {
		$currency_before = $currency;
		$currency_after = '';
	}

	switch ( $column ) {
		case 'invoice_status':
			echo esc_attr( get_post_meta( $post_id, 'invoice_status', true ) );
			break;
		case 'invoice_total':
			$invoice_total = 0;
			$invoice_items = get_post_meta( $post_id, 'wpza_gui__metabox_items_group', true );
			foreach( $invoice_items as $item ) {
				$invoice_total += ( $item['price'] * $item['quantity'] );
			}
			echo esc_attr( $currency_before . number_format( $invoice_total, $decimal_places ) . $currency_after );
			break;
	}
}
add_action( 'manage_wpza_gui__invoice_posts_custom_column' , 'wpza_gui__admin_input_columns', 10, 2 );