<?php
defined( 'ABSPATH' ) or die();

function wpza_gui__archive_query( $query ) {
    if ( $query->is_main_query() && is_post_type_archive( 'wpza_gui__invoice' ) && ! current_user_can( 'administrator' ) ) {
  		$query->set( 'meta_query', array(
			array(
				'key' => 'invoice_user',
				'value' => get_current_user_id(),
				'compare' => '='
			)
  		) );
    }
}
add_action( 'pre_get_posts', 'wpza_gui__archive_query' );

function wpza_gui__archive_actions( $post_id ) {
	$output = '<a href="' . get_permalink( $post_id ) . '">View</a>';
	if ( current_user_can( 'administrator' ) ) {
		$output .= '<small style="display: block;"><a href="' . get_edit_post_link( $post_id ) . '">Edit (Admin)</a></small>';
	}
	return $output;
}