<?php
defined( 'ABSPATH' ) or die();

function wpza_gui__generate_invoice_register() {
    add_submenu_page( 'edit.php?post_type=wpza_gui__invoice', wpza_gui__full_name, 'Generate Invoices', 'administrator', 'wpza_gui__generate_invoice', 'wpza_gui__generate_invoice_output' );
}
add_action( 'admin_menu', 'wpza_gui__generate_invoice_register' );

function wpza_gui__generate_invoice_output() {
	if ( get_option( 'wpza_gui__plugin_settings_currency' ) ) {
		$currency = get_option( 'wpza_gui__plugin_settings_currency' );
	} else {
		$currency = '$';
	}
	?>
	<div class="wrap">
		<h1><?php echo esc_attr( wpza_gui__full_name ); ?></h1>
		<?php
		$user_args  = array(
			'role' => 'Subscriber',
			'orderby' => 'display_name'
		);

		$wp_user_query = new WP_User_Query($user_args);
		$users = $wp_user_query->get_results();
		if ( ! empty( $users) ) {
		?>
		<form method="post" action="admin-post.php" class="postbox-container">
			<?php wp_nonce_field( 'wpza_gui__generate_invoice_handler_nonce', 'wpza_gui__generate_invoice_handler_nonce' ); ?>
    		<script type="text/javascript">
	    		jQuery(document).ready(function( $ ){
	        	$( '.row' ).on('click', function() {
		            var row = $ ( 'table#metabox-items-table .empty-row' ).clone( true );
		            row.removeClass( 'empty-row' );
		            row.insertBefore( 'table#metabox-items-table tbody>tr:last' );
		            return false;
		        });
		        $( 'table#metabox-items-table .remove-row' ).on('click', function() {
		            $(this).parents( 'tr' ).remove();
		            return false;
		        });
	    	});
			</script>
			<h2>Invoice Items</h2>
			<table id="metabox-items-table" width="100%">
				<thead>
					<tr>
					<td width="50%">Item</td>
					<td width="25%">Quantity</td>
					<td width="25%">Price Per Item (<?php echo esc_attr( $currency ); ?>)</td>
					</tr>
				</thead>
				<tbody>
		    		<tr>
						<td> 
							<input type="text" placeholder="Item" title="Item" name="item[]" style="width: 100%;" />
						</td>
						<td> 
							<input type="number" step="any" placeholder="Quantity" name="quantity[]" style="width: 100%;" />
						</td>
						<td>
							<input type="number" step="any" placeholder="Price Per Item" name="price[]" style="width: 100%;" />
						</td>
						<td>
							<a class="button button-disabled" href="#">Remove</a>
						</td>
					</tr>
					<tr class="empty-row">
						<td>
							<input type="text" placeholder="Item" name="item[]" style="width: 100%;" />
						</td>
						<td>
							<input type="number" step="any" placeholder="Quantity" name="quantity[]" style="width: 100%;" />
						</td>
						<td>
							<input type="number" step="any" placeholder="Price Per Item" name="price[]" style="width: 100%;" />
						</td>
						<td>
							<a class="button remove-row" href="#">Remove</a>
						</td>
					</tr>
				</tbody>
			</table>
			<p><a class="row button" href="#">Add Item</a></p>
			<h2>Invoice Users</h2>
			<?php
				$user_ids = get_post_meta( $post->ID, 'users', true )['users'];
				$output = '<select name="user[]" multiple>';
				foreach ( $users as $user ) {
					$user_data = get_userdata( $user->ID );
					$output .= '<option value="' . $user_data->ID . '">' . ucwords( $user_data->first_name . ' ' . $user_data->last_name ) . ' (' . $user_data->user_email . ')</option>';
				}
				$output .= '</select>';
				echo $output;
			?>
			<input type="hidden" name="action" value="wpza_gui__generate_invoice_handler" />
		    <?php submit_button( 'Generate Invoices' ); ?>
		</form>
		<?php 
		} else {
			echo esc_attr( 'No users (subscribers) found.' );
		};
		?>
	</div>
<?php
}