<?php
defined( 'ABSPATH' ) or die();

function wpza_gui__generate_invoice_handler() {
	global $wpdb;
	$users = filter_var_array( $_POST['user'], FILTER_SANITIZE_STRING );
	$invoice_items = filter_var_array( $_POST['item'], FILTER_SANITIZE_STRING );
	$invoice_prices = filter_var_array( $_POST['price'], FILTER_SANITIZE_STRING );
	$invoice_quantities = filter_var_array( $_POST['quantity'], FILTER_SANITIZE_STRING );
	$slug_suffix = 0;
	foreach ( $users as $user ) {
		$meta_array = array();
		$user_data = get_userdata( $user );
		$slug_suffix++;
		$i = -1;
		foreach ( $invoice_items as $item ) {
			$i++;
			array_push( $meta_array , array( 'item' => $item, 'price' => $invoice_prices[$i], 'quantity' => $invoice_quantities[$i] ) );
		}
		$post = array(
			'post_type' => 'wpza_gui__invoice',
			'post_title' => date( 'd-m-Y' ) . ' — ' . ucwords( $user_data->first_name . ' ' . $user_data->last_name ) . ' – ' . date( 'dmYHis' ) . $slug_suffix,
			'post_name' => 'invoice-' . date( 'dmYHis' ) . $slug_suffix,
			'post_date' => date( 'Y-m-d H:i:s' ),
			'post_status' => 'publish',
			'post_author' => 1,
			'comment_status' => 'closed',
			'ping_status' => 'closed',
		);
		$wpdb->insert( 'wp_posts', $post, array( '%s', '%s', '%s', '%s', '%s', '%s', '%s', '%s' ) );
		$post_id = $wpdb->insert_id;
		add_post_meta( $post_id, 'wpza_gui__metabox_items_group', $meta_array );
		add_post_meta( $post_id, 'invoice_status', 'Unpaid' );
		add_post_meta( $post_id, 'invoice_user', $user );
		add_post_meta( $post_id, 'invoice_reference', date( 'dmYHis' ) . $slug_suffix );
		if ( get_option( 'wpza_gui__plugin_settings_tax' ) ) {
			$invoice_tax = get_option( 'wpza_gui__plugin_settings_tax' );
		} else {
			$invoice_tax = 0;
		}
		add_post_meta( $post_id, 'invoice_tax', $invoice_tax );
		wpza_gui__mail_invoice_generated( $post_id );
		wp_redirect( 'edit.php?post_type=wpza_gui__invoice' );
	}
}
add_action( 'admin_post_wpza_gui__generate_invoice_handler', 'wpza_gui__generate_invoice_handler' );