<?php
defined( 'ABSPATH' ) or die();

function wpza_gui__load_template_single( $single_template ) {
	global $post;

	//Redirect if not current user's invoice
	if ( get_post_meta( $post->ID, 'invoice_user', true ) != get_current_user_id() && ! current_user_can( 'administrator' ) ) {
		wp_redirect( get_post_type_archive_link( 'wpza_gui__invoice' ) );
	}

	if ( $post->post_type == 'wpza_gui__invoice' && locate_template( array( 'single-invoice.php' ) ) == false ) {
		$single_template = wpza_gui__directory . '/templates/single-invoice.php';
	} elseif ( $post->post_type == 'wpza_gui__invoice' && locate_template( array( 'single-invoice.php' ) ) == true ) {
		$single_template = locate_template( array( 'single-invoice.php' ) );
	}

	return $single_template;
}
add_filter( 'single_template', 'wpza_gui__load_template_single' );

function wpza_gui__load_template_archive( $archive_template ) {
	global $post;

	if ( is_post_type_archive ( 'wpza_gui__invoice' ) && locate_template( array( 'archive-invoice.php' ) ) == false ) {
		$archive_template = wpza_gui__directory . '/templates/archive-invoice.php';
	} elseif ( is_post_type_archive ( 'wpza_gui__invoice' ) && locate_template( array( 'archive-invoice.php' ) ) == true ) {
		$archive_template = locate_template( array( 'archive-invoice.php' ) );
	}
	return $archive_template;
}
add_filter( 'archive_template', 'wpza_gui__load_template_archive' ) ;