<?php
defined( 'ABSPATH' ) or die();

function wpza_gui__metabox_data_register() {
	add_meta_box( 'wpza-gui-metabox-status', 'Invoices Data', 'wpza_gui__metabox_data_output', 'wpza_gui__invoice', 'side', 'high' );
}
add_action( 'add_meta_boxes', 'wpza_gui__metabox_data_register' );

function wpza_gui__metabox_data_output() {
	global $post;
	$this_user = get_post_meta( $post->ID, 'invoice_user', true );
	$invoice_status = get_post_meta( $post->ID, 'invoice_status', true );
	$methods = array( 'Unpaid', 'Paid', 'Paid (Cash)', 'Paid (BACS)', 'Paid (SEPA)', 'Paid (Cheque)', 'Paid (Check)', 'Paid (Bank Transfer)', 'Paid (Wire Transfer)', 'Refunded', 'Credit Note', 'Voided' );
	$user_args  = array(
		'role' => 'Subscriber',
		'orderby' => 'display_name'
	);

	$wp_user_query = new WP_User_Query($user_args);
	$users = $wp_user_query->get_results();
	$output = '';
	if ( ! empty( $users) ) {
		$user_ids = get_post_meta( $post->ID, 'users', true )['users'];
		$output .= '<select name="user">';
		foreach ( $users as $user ) {
			$user_data = get_userdata( $user->ID );
			if( $this_user == $user_data->ID ) {
				$user_selected = 'selected';
			} else {
				$user_selected = '';
			}
			$output .= '<option value=' . $user_data->ID . ' ' . $user_selected . '>' . ucwords( $user_data->first_name . ' ' . $user_data->last_name ) . ' (' .  $user_data->user_email . ')</option>';
		}
		$output .= "</select>";
	} else {
		$output .= 'No users (subscribers) found.';
	};
	$output .= '<select name="invoice_status">';
	foreach ( $methods as $method ) {
		if ( $method == $invoice_status ) {
			$selected = ' selected';
		} else {
			$selected = '';
		}
		$output .= '<option value="' . $method . '"' . $selected . '>' . $method . '</option>';
	}
	$output .= '</select>';
	echo $output;
}

function wpza_gui__metabox_data_save( $post_id ) {
	global $post;
    if( defined( 'DOING_AUTOSAVE' ) && DOING_AUTOSAVE ) {
        return;
    }

    if( ! current_user_can( 'edit_post', $post_id ) ) {
        return;
    }

    $user_old = get_post_meta( $post->ID, 'invoice_user', true );
    $user_new = sanitize_text_field( $_POST['user'] );
    if ( $user_old != $user_new ) {
    	update_post_meta( $post_id, 'invoice_user', $user_new );
    }

    if ( $user_old != $user_new ) {
    	wpza_gui__mail_invoice_generated( $post_id );
	}

    $invoice_status_old = get_post_meta( $post->ID, 'invoice_status', true );
    $invoice_status_new = sanitize_text_field( $_POST['invoice_status'] );
    if ( $invoice_status_old != $invoice_status_new ) {
    	if ( ! empty( $user_old ) ) {
    		wpza_gui__mail_updated_status( $post_id );
    	}
    	update_post_meta( $post_id, 'invoice_status', $invoice_status_new );
	}
}
add_action( 'save_post', 'wpza_gui__metabox_data_save', 2 );