<?php
defined( 'ABSPATH' ) or die();

function wpza_gui__plugin_settings_register() {
    add_submenu_page( 'edit.php?post_type=wpza_gui__invoice', 'Invoice Settings', 'Invoice Settings', 'administrator', 'wpza_gui__plugin_settings', 'wpza_gui__plugin_settings_output' );
}
add_action( 'admin_menu', 'wpza_gui__plugin_settings_register' );

function wpza_gui__plugin_settings_register_data() {
	$args = array(
		'type' => 'string',
		'sanitize_callback' => 'sanitize_text_field',
		'default' => '$'
	);
	register_setting( 'wpza_gui__plugin_settings_group', 'wpza_gui__plugin_settings_currency', $args );

	$args = array(
		'type' => 'string',
		'sanitize_callback' => 'sanitize_text_field',
		'default' => '0'
	);
	register_setting( 'wpza_gui__plugin_settings_group', 'wpza_gui__plugin_settings_currency_after', $args );

	$args = array(
		'type' => 'string',
		'sanitize_callback' => 'sanitize_text_field',
		'default' => '0'
	);
	register_setting( 'wpza_gui__plugin_settings_group', 'wpza_gui__plugin_settings_currency_decimal_places', $args );

	$args = array(
		'type' => 'string',
		'sanitize_callback' => 'sanitize_text_field',
		'default' => ''
	);
	register_setting( 'wpza_gui__plugin_settings_group', 'wpza_gui__plugin_settings_tax', $args );

	$args = array(
		'type' => 'string',
		'sanitize_callback' => 'sanitize_textarea_field',
		'default' => ''
	);
	register_setting( 'wpza_gui__plugin_settings_group', 'wpza_gui__plugin_settings_company_address', $args );

	$args = array(
		'type' => 'string',
		'sanitize_callback' => 'sanitize_textarea_field',
		'default' => ''
	);
	register_setting( 'wpza_gui__plugin_settings_group', 'wpza_gui__plugin_settings_footer_information', $args );
}
add_action( 'admin_init', 'wpza_gui__plugin_settings_register_data' );

function wpza_gui__plugin_settings_output() { ?>
	<div class="wrap">
		<h1><?php echo esc_attr( wpza_gui__full_name . ' Settings' ); ?></h1>
		<form method="post" action="options.php" class="postbox-container">
		    <?php settings_fields( 'wpza_gui__plugin_settings_group' ); ?>
		    <?php do_settings_sections( 'wpza_gui__plugin_settings_group' ); ?>
		    <p>Note, these plugin fields are applied accross all new and past generated invoices (apart from tax-rates).</p>
			<table class="form-table">
				<tr>
		        	<th>Currency</th>
		        	<td>
		        		<input type="text" name="wpza_gui__plugin_settings_currency" value="<?php echo esc_attr( get_option( 'wpza_gui__plugin_settings_currency' ) ); ?>" placeholder="$" />
		        	</td>
		        </tr>
		        <tr>
		        	<th>Currency Position</th>
		        	<td>
		        		<label for="wpza_gui__plugin_settings_currency_after_before">Before</label> <input type="radio" name="wpza_gui__plugin_settings_currency_after" value="0" id="wpza_gui__plugin_settings_currency_after_before" <?php checked( '0', get_option( 'wpza_gui__plugin_settings_currency_after' ) ); ?>>
		        		<label for="wpza_gui__plugin_settings_currency_after_after">After</label> <input type="radio" name="wpza_gui__plugin_settings_currency_after" value="1" id="wpza_gui__plugin_settings_currency_after_after" <?php checked( '1', get_option( 'wpza_gui__plugin_settings_currency_after' ) ); ?>>
		        	</td>
		        </tr>
				<tr>
		        	<th>Currency Decimal Places</th>
		        	<td>
		        		<input type="text" name="wpza_gui__plugin_settings_currency_decimal_places" value="<?php echo esc_attr( get_option( 'wpza_gui__plugin_settings_currency_decimal_places' ) ); ?>" />
		        	</td>
		        </tr>
				<tr>
		        	<th>
		        		Tax Settings<br />
		        		<small>Percentage based tax settings. Won't apply to past invoices.</small>
		        	</th>
		        	<td>
		        		<input type="number" step="any" name="wpza_gui__plugin_settings_tax" value="<?php echo esc_attr( get_option( 'wpza_gui__plugin_settings_tax' ) ); ?>" placeholder="%" />
		        	</td>
		        </tr>
				<tr>
		        	<th>
		        		Company Address<br />
		        		<small>Used to display your company's address across all invoices.</small>
		        	</th>
		        	<td>
		        		<textarea type="text" name="wpza_gui__plugin_settings_company_address"><?php echo esc_attr( get_option( 'wpza_gui__plugin_settings_company_address' ) ); ?></textarea>
		        	</td>
		        </tr>
		        <tr>
		        	<th>
		        		Footer Information<br />
		        		<small>Used to display messages, account details or disclaimers across all invoices.</small>
		        	</th>
		        	<td>
		        		<?php
	        			$settings = array(
	        				'teeny' => true,
	        				'textarea_name' => 'wpza_gui__plugin_settings_footer_information',
	        				'textarea_rows' => 10
	        			);
	        			wp_editor( get_option( 'wpza_gui__plugin_settings_footer_information' ), 'wpza_gui__plugin_settings_footer_information', $settings );
	        			?>
		        	</td>
		        </tr>
		    </table>
		    <?php submit_button(); ?>
		</form>
	</div>
<?php
}