<?php get_header(); ?>
<script type="text/javascript">
function print_invoice( element_id ) {
	var invoice = window.open('', 'PRINT', 'height=800,width=900');

	invoice.document.write( '<html><head><title>' + document.title  + '</title>' );
	invoice.document.write( '</head><body>' );
	invoice.document.write( document.getElementById( element_id ).innerHTML );
	invoice.document.write( '</body></html>' );

	invoice.document.close();
	invoice.focus();

	invoice.print();
	invoice.close();

	return true;
}
</script>
<?php
$user_data = get_userdata( get_post_meta( get_the_ID(), 'invoice_user', true ) );
if ( get_option( 'wpza_gui__plugin_settings_currency_decimal_places' ) ) {	
	$decimal_places = get_option( 'wpza_gui__plugin_settings_currency_decimal_places' );
} else {
	$decimal_places = 0;
}
if ( get_option( 'wpza_gui__plugin_settings_currency' ) ) {
	$currency = get_option( 'wpza_gui__plugin_settings_currency' );
} else {
	$currency = '$';
}
if ( get_option( 'wpza_gui__plugin_settings_currency_after' ) == 1 ) {
	$currency_before = '';
	$currency_after = $currency;
} else {
	$currency_before = $currency;
	$currency_after = '';
}
?>
<div id="wpza_gui__invoice" style="width: 900px;margin: 0 auto;padding: 25px;border: 1px solid #000000;">
	<h1 style="width: 98%;margin: .5em auto 1em auto;">
		Invoice
		<span style="float: right;font-size: .75em;margin-top: .75%;">
			<?php echo esc_attr( get_post_meta( get_the_ID(), 'invoice_status', true ) ); ?>
		</span>
	</h1>
	<div style="display: inline-block;width: 49%;vertical-align: top;padding-left: 1%;">
		<p><?php bloginfo( 'name' ) ?>
		<?php if ( get_option( 'wpza_gui__plugin_settings_currency' ) ) { ?>
		<br />
		<?php echo str_replace( "\r\n", '<br />', esc_attr( get_option( 'wpza_gui__plugin_settings_company_address' ) ) ); ?>
		<?php } ?>
		</p>
	</div>
	<div style="display: inline-block;width: 49%;vertical-align: top;padding-left: 1%;text-align: right;">
		<p><?php echo ucwords( esc_attr( $user_data->first_name . ' ' . $user_data->last_name ) ); ?></p>
	</div>
	<div style="clear:both;"></div>
	<div style="display: inline-block;width: 49%;vertical-align: top;padding-left: 1%;">
		<small>Date: <?php echo esc_attr( date( 'd-m-Y' ) ); ?></small>
	</div>
	<div style="display: inline-block;width: 49%;vertical-align: top;padding-left: 1%;text-align: right;">
		<small>Reference: <?php echo esc_attr( get_post_meta( get_the_ID(), 'invoice_reference', true ) ); ?></small>
	</div>
	<div style="clear:both;text-align: right;width: 98%;margin: 0 auto;">
		<hr />
	</div>
	<table style="width: 98%;margin: 0 auto;">
		<thead>
			<th width="40%">Item</th>
			<th width="20%">Quantity</th>
			<th width="20%">Price Per Item</th>
			<th width="20%">Total</th>
		</thead>
		<tbody>
			<?php
			$total_price = 0;
			$items = get_post_meta( get_the_ID(), 'wpza_gui__metabox_items_group', true );
			foreach( $items as $item ) {
				$total_price += ($item['price'] * $item['quantity']);
			?>
			<tr>
				<td><?php echo esc_attr( $item['item'] ); ?></td>
				<td><?php echo esc_attr( $item['quantity'] ); ?></td>
				<td><?php echo esc_attr( $currency_before . number_format( $item['price'], $decimal_places ) . $currency_after ); ?></td>
				<td><?php echo esc_attr( $currency_before . number_format( ($item['price'] * $item['quantity']), $decimal_places ) . $currency_after ); ?></td>
			</tr>
			<?php } ?>
		</tbody>
		<tfoot>
			<tr>
				<td colspan="4">
					<hr />
				</td>
			</tr>
			<tr>
				<td colspan="3">Subtotal</td>
				<td><?php echo esc_attr( $currency_before . number_format( $total_price, $decimal_places ) . $currency_after ); ?></td>
			</tr>
			<?php
			$total_tax = $total_price * ( get_post_meta( get_the_ID(), 'invoice_tax', true ) / 100 );
			if ( get_post_meta( get_the_ID(), 'invoice_tax', true ) != 0 ) {
			?>
			<tr>
				<td colspan="3">Tax Rate</td>
				<td><?php echo esc_attr( get_post_meta( get_the_ID(), 'invoice_tax', true ) ); ?>%</td>
			</tr>
			<tr>
				<td colspan="3">Tax</td>
				<td><?php echo esc_attr( $currency_before . number_format( $total_tax, $decimal_places ) . $currency_after ); ?></td>
			</tr>
			<?php } ?>
			<tr>
				<td colspan="3"><strong>Total</strong></td>
				<td><strong><?php echo esc_attr( $currency_before . number_format( ($total_price + $total_tax), $decimal_places ) . $currency_after ); ?></strong></td>
			</tr>
		</tfoot>
	</table>
	<?php if ( get_option( 'wpza_gui__plugin_settings_footer_information' ) ) { ?>
	<div style="width: 98%;margin: 0 auto;clear: both;padding-top: 50px;">
		<?php echo str_replace( "\r\n", '<br />', esc_attr( get_option( 'wpza_gui__plugin_settings_footer_information' ) ) ); ?>
	</div>
	<?php } ?>
</div>
<div style="width: 900px;margin: 0 auto;padding: 25px;text-align: center;">
	<a href="#" onclick="print_invoice( 'wpza_gui__invoice' );">Print Invoice</a>
</div>
<?php get_footer(); ?>